<html>
<head>
<title>OGRE: Ogre::StringInterface Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a></div>
<h1>Ogre::StringInterface Class Reference</h1><!-- doxytag: class="Ogre::StringInterface" -->Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::StringInterface:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1StringInterface-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Virtual desctructor, see Effective C++.  <a href="#a86a8941e57b203088797a4b28da8c4d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#e3e13925bde11db245f6c9bbf5031a93"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#dfedfcc90e1d602ec6fa646d4d90f17f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ce884b65b722ead9b920b9abf27bf815"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;paramList)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#e356913ccefbebc4f0119a0599a406fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#57397ce47f649e66c5654da05207df0b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#702af78cbc4869e64c369fb11c4f1eb5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#681773443d95aea05a486c5d22c15bd1"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class name for this instance to be used as a lookup (must be initialised by subclasses).  <a href="#baa2b2c02f22cff7a65ba43b4daea538"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dictionary of parameters.  <a href="#5e08eb863343f9c60f6ef9344a48075b"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class also holds a static map of class name to parameter dictionaries for each subclass to use. See <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> for details. <p>
In order to use this class, each subclass must call createParamDictionary in their constructors which will create a parameter dictionary for the class if it does not exist yet. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00156">156</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a86a8941e57b203088797a4b28da8c4d"></a><!-- doxytag: member="Ogre::StringInterface::~StringInterface" ref="a86a8941e57b203088797a4b28da8c4d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::StringInterface::~StringInterface           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Virtual desctructor, see Effective C++. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00191">191</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::StringInterface::createParamDictionary" ref="681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::StringInterface::createParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>className</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for creating a parameter dictionary for the class, if it does not already exist. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>className</em>&nbsp;</td><td>the name of the class using the dictionary </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00176">176</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::StringInterface::getParamDictionary" ref="e3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the parameter dictionary for this class. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00200">200</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::StringInterface::getParamDictionary" ref="3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00213">213</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::StringInterface::getParameters" ref="dfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a>&amp; Ogre::StringInterface::getParameters           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a list of parameters valid for this object. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection...">ParameterDef</a> objects. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ce884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::StringInterface::setParameter" ref="ce884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::StringInterface::setParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00300">copyParametersTo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::StringInterface::setParameterList" ref="e356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::setParameterList           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>paramList</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic multiple parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>paramList</em>&nbsp;</td><td>Name/value pair list </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::StringInterface::getParameter" ref="57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringInterface::getParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter retrieval method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to get </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00269">269</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#e47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h-source.html#l00094">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div><p>
<a class="anchor" name="702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::StringInterface::copyParametersTo" ref="702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::copyParametersTo           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&nbsp;</td>
          <td class="paramname"> <em>dest</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for copying this object's parameters to another object. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>dest</em>&nbsp;</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00300">300</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h-source.html#l00088">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::StringInterface::cleanupDictionary" ref="1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringInterface::cleanupDictionary           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. 
<p>
<a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. 
</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5e08eb863343f9c60f6ef9344a48075b"></a><!-- doxytag: member="Ogre::StringInterface::msDictionary" ref="5e08eb863343f9c60f6ef9344a48075b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a> <a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">Ogre::StringInterface::msDictionary</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dictionary of parameters. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00161">161</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="baa2b2c02f22cff7a65ba43b4daea538"></a><!-- doxytag: member="Ogre::StringInterface::mParamDictName" ref="baa2b2c02f22cff7a65ba43b4daea538" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">Ogre::StringInterface::mParamDictName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Class name for this instance to be used as a lookup (must be initialised by subclasses). 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00164">164</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:18 2008
</p>
</body>
</html>
